package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 产品包装客户关联对象 biz_company_product_package
 *
 * @author ezhizao
 * @date 2024-09-10
 */
@Data
@TableName(value = "biz_company_product_package")
public class BizCompanyProductPackage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 产品id */
    @ApiModelProperty(value = "${comment}")
    private Long productId;

    /** 产品编码 */
    @Excel(name = "产品编码")
    @ApiModelProperty(value = "产品编码")
    private String productCode;

    /** 客户id */
    @ApiModelProperty(value = "产品编码")
    private Long companyId;

    /** 客户编码 */
    @Excel(name = "客户编码")
    @ApiModelProperty(value = "客户编码")
    private String companyCode;

    /** 包装形式码 */
    @Excel(name = "包装形式码")
    @ApiModelProperty(value = "包装形式码")
    private String packageTypeCode;

    /** 产品描述 */
    @Excel(name = "产品描述")
    @ApiModelProperty(value = "产品描述")
    private String productDescription;

    /** 客户助记码 */
    @Excel(name = "客户助记码")
    @ApiModelProperty(value = "客户助记码")
    private String mnemonicCode;

    /** 客户简称 */
    @Excel(name = "客户简称")
    @ApiModelProperty(value = "客户简称")
    private String companyAlias;

    @Excel(name = "包装外键")
    @ApiModelProperty(value = "包装外键")
    private Long accessoriesId;

    /** 包装箱辅料编码 */
    @Excel(name = "包装箱辅料编码")
    @ApiModelProperty(value = "包装箱辅料编码")
    private String packageCode;

    /** 包装箱号 */
    @Excel(name = "包装箱号")
    @ApiModelProperty(value = "包装箱号")
    private String packageNo;

    /** 包装尺寸 */
    @Excel(name = "包装尺寸")
    @ApiModelProperty(value = "包装尺寸")
    private String packageStandard;

    /** 包装长度 */
    @Excel(name = "包装长度")
    @ApiModelProperty(value = "包装长度")
    private String packageLength;

    /** 包装宽度 */
    @Excel(name = "包装宽度")
    @ApiModelProperty(value = "包装宽度")
    private String packageWidth;

    /** 包装箱高度 */
    @Excel(name = "包装箱高度")
    @ApiModelProperty(value = "包装箱高度")
    private String packageHeight;

    /** 单箱毛重 */
    @Excel(name = "单箱毛重")
    @ApiModelProperty(value = "单箱毛重")
    private BigDecimal singleGrossWeight;

    /** 单箱支数 */
    @Excel(name = "单箱支数")
    @ApiModelProperty(value = "单箱支数")
    private Long singleNumber;

    /** 每层箱数 */
    @Excel(name = "每层箱数")
    @ApiModelProperty(value = "每层箱数")
    private Long perNumber;

    /** 满托最小箱数 */
    @Excel(name = "满托最小箱数")
    @ApiModelProperty(value = "满托最小箱数")
    private Long minNumber;

    /** 满托最大箱数 */
    @Excel(name = "满托最大箱数")
    @ApiModelProperty(value = "满托最大箱数")
    private Long maxNumber;

    /** 满托支数 */
    @Excel(name = "满托支数")
    @ApiModelProperty(value = "满托支数")
    private Long maxBranchNumber;

    /** 托盘规格 */
    @Excel(name = "托盘规格")
    @ApiModelProperty(value = "托盘规格")
    private String palletStandard;

    /** 托盘类型：0川字1田字 */
    @Excel(name = "托盘类型：0川字1田字")
    @ApiModelProperty(value = "托盘类型：0川字1田字")
    private String palletType;

    /** "Manual"字符-- 人工区；Automatic字符代表智能区 */
    @Excel(name = "Manual字符-- 人工区；Automatic字符代表智能区")
    @ApiModelProperty(value = "Manual字符-- 人工区；Automatic字符代表智能区")
    private String areaType;

    /** 库存单位 */
    @Excel(name = "库存单位")
    @ApiModelProperty(value = "库存单位")
    private String unit;

    /** 传送状态 */
    @Excel(name = "传送状态")
    @ApiModelProperty(value = "传送状态")
    private String deliveryStatus;

    /** 外箱高度 */
    @Excel(name = "外箱高度")
    @ApiModelProperty(value = "外箱高度")
    private Long outboxHeight;

    /** 租户id */
    @ApiModelProperty(value = "外箱高度")
    private Long tenantId;

    public BizCompanyProductPackage() {
        super();
    }


    public BizCompanyProductPackage(Inc10101 l) {
        super();
        this.productCode = l.getCpart() == null ? "" :l.getCpart().trim();
        this.companyCode = l.getCust() == null ? "" : l.getCust().trim();
        this.packageTypeCode = l.getCode() == null ? "" : l.getCode().trim();
        this.productDescription = l.getDescr() == null ? "" : l.getDescr().trim();
        this.mnemonicCode = l.getFinkey() == null ? "" : l.getFinkey().trim();
        this.companyAlias = l.getKhjc() == null ? "" : l.getKhjc().trim();
        this.packageCode = l.getPart() == null ? "" : l.getPart().trim();
        this.packageNo = l.getBzxh() == null ? "" : l.getBzxh().trim();
        this.packageStandard = l.getBzcc() == null ? "" : l.getBzcc().trim();
        this.packageLength = l.getBzcd() == null ? "" : l.getBzcd().trim();
        this.packageWidth = l.getBzkd() == null ? "" : l.getBzkd().trim();
        this.packageHeight = l.getBzgd() == null ? "" : l.getBzgd().trim();
        this.singleGrossWeight = l.getKos();
        this.singleNumber = l.getDxqty();
        this.perNumber = l.getMcxs();
        this.minNumber = l.getMtxxs();
        this.maxNumber = l.getMtdxs();
        this.maxBranchNumber = l.getMtzs();
        this.palletStandard = l.getTpgg();
        this.palletType = l.getTplx();
        this.areaType = l.getKtype() == null ? "" : l.getKtype().trim();
        this.unit = l.getUnit() == null ? "" : l.getUnit().trim();
        this.deliveryStatus = l.getSta() == null ? "" : l.getSta().trim();
        this.outboxHeight = l.getWxgd();
    }

    public void setByInc10101(Inc10101 l) {
        this.productCode = l.getCpart() == null ? "" :l.getCpart().trim();
        this.companyCode = l.getCust() == null ? "" : l.getCust().trim();
        this.packageTypeCode = l.getCode() == null ? "" : l.getCode().trim();
        this.productDescription = l.getDescr() == null ? "" : l.getDescr().trim();
        this.mnemonicCode = l.getFinkey() == null ? "" : l.getFinkey().trim();
        this.companyAlias = l.getKhjc() == null ? "" : l.getKhjc().trim();
        this.packageCode = l.getPart() == null ? "" : l.getPart().trim();
        this.packageNo = l.getBzxh() == null ? "" : l.getBzxh().trim();
        this.packageStandard = l.getBzcc() == null ? "" : l.getBzcc().trim();
        this.packageLength = l.getBzcd() == null ? "" : l.getBzcd().trim();
        this.packageWidth = l.getBzkd() == null ? "" : l.getBzkd().trim();
        this.packageHeight = l.getBzgd() == null ? "" : l.getBzgd().trim();
        this.singleGrossWeight = l.getKos();
        this.singleNumber = l.getDxqty();
        this.perNumber = l.getMcxs();
        this.minNumber = l.getMtxxs();
        this.maxNumber = l.getMtdxs();
        this.maxBranchNumber = l.getMtzs();
        this.palletStandard = l.getTpgg();
        this.palletType = l.getTplx();
        this.areaType = l.getKtype() == null ? "" : l.getKtype().trim();
        this.unit = l.getUnit() == null ? "" : l.getUnit().trim();
        this.deliveryStatus = l.getSta() == null ? "" : l.getSta().trim();
        this.outboxHeight = l.getWxgd();
    }
}
