package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * hgz10200对象 hgz10200
 *
 * @author ezhizao
 * @date 2024-10-25
 */
@Data
@TableName(value = "hgz10200")
public class Hgz10200 extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** X X   X   X       x x x x x x  共计10位码  年 厂别  部门 */
    @ApiModelProperty(value = "${comment}")
    private String idcode;

    /** 1、标准合格证2、博世（大字）3、廊坊科森4、DMHZ（M字）5、东京电子6、大连三叶7、舍弗勒(版本)8、山东山博9、马勒日本（外） */
    @ApiModelProperty(value = "${comment}")
    private String htype;

    /** 厂别 */
    @ApiModelProperty(value = "${comment}")
    private String facno;

    /** 生产工段 */
    @ApiModelProperty(value = "${comment}")
    private String cusven;

    /** 部门代号：1--分选  2--EAS 3--雨刮  4--ASMO 5--切削件 6--压缩机 7--EPS */
    @ApiModelProperty(value = "${comment}")
    private String lot;

    /** 产品编码 */
    @ApiModelProperty(value = "${comment}")
    private String cpart;

    /** 规格 */
    @ApiModelProperty(value = "${comment}")
    private String spec;

    /** 图号 */
    @ApiModelProperty(value = "${comment}")
    private String draw;

    /** 数量 */
    @ApiModelProperty(value = "${comment}")
    private Long qty;

    /** 生产日期 */
    @ApiModelProperty(value = "${comment}")
    private Date docdate;

    /** 客户物料号 */
    @ApiModelProperty(value = "${comment}")
    private String khpart;

    /** 客户 */
    @ApiModelProperty(value = "${comment}")
    private String cust;

    /** 合格证上客户简称 */
    @ApiModelProperty(value = "${comment}")
    private String cuna;

    /** 图号 */
    @Excel(name = "图号")
    @ApiModelProperty(value = "图号")
    private String draw1;

    /** 博世图号后4位大字 */
    @Excel(name = "博世图号后4位大字")
    @ApiModelProperty(value = "博世图号后4位大字")
    private String draw2;

    /** 廊坊的型号=inc10100.khorder */
    @Excel(name = "廊坊的型号=inc10100.khorder")
    @ApiModelProperty(value = "廊坊的型号=inc10100.khorder")
    private String lfxh;

    /** 舍弗勒的版本=inc10100.khver */
    @Excel(name = "舍弗勒的版本=inc10100.khver")
    @ApiModelProperty(value = "舍弗勒的版本=inc10100.khver")
    private String khver;

    /** 品名inc10100.spname */
    @Excel(name = "品名inc10100.spname")
    @ApiModelProperty(value = "品名inc10100.spname")
    private String spname;

    /** 二维码内容 */
    @Excel(name = "二维码内容")
    @ApiModelProperty(value = "二维码内容")
    private String code;

    /** 内外标志W,N---山东山博 */
    @Excel(name = "内外标志W,N---山东山博")
    @ApiModelProperty(value = "内外标志W,N---山东山博")
    private String nwbz;

    /** 规格型号 */
    @Excel(name = "规格型号")
    @ApiModelProperty(value = "规格型号")
    private String descr;

    /** 本批数量---山东山博 */
    @Excel(name = "本批数量---山东山博")
    @ApiModelProperty(value = "本批数量---山东山博")
    private Long bpqty;

    /** ID号的条码'*22100001*' */
    @Excel(name = "ID号的条码'*22100001*'")
    @ApiModelProperty(value = "ID号的条码'*22100001*'")
    private String idno;

    /** Y=已打印N=未印 */
    @Excel(name = "Y=已打印N=未印")
    @ApiModelProperty(value = "Y=已打印N=未印")
    private String prtyn;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String docno;

}
