package cn.ezhizao.project.business.domain;

import java.math.BigDecimal;
import java.util.Date;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 企业租户对象 inc10101
 *
 * @author ezhizao
 * @date 2024-09-11
 */
@Data
@TableName(value = "inc10101")
public class Inc10101
{
    /** 产品编码 */
    @ApiModelProperty(value = "${comment}")
    private String cpart;

    /** 客户编码 */
    @ApiModelProperty(value = "${comment}")
    private String cust;

    /** 包装形式码 */
    @ApiModelProperty(value = "${comment}")
    private String code;

    /** 产品描述 */
    @Excel(name = "产品描述")
    @ApiModelProperty(value = "产品描述")
    private String descr;

    /** 客户助记码 */
    @Excel(name = "客户助记码")
    @ApiModelProperty(value = "客户助记码")
    private String finkey;

    /** 客户简称 */
    @Excel(name = "客户简称")
    @ApiModelProperty(value = "客户简称")
    private String khjc;

    /** 包装箱辅料编码 */
    @Excel(name = "包装箱辅料编码")
    @ApiModelProperty(value = "包装箱辅料编码")
    private String part;

    /** 包装箱号 */
    @Excel(name = "包装箱号")
    @ApiModelProperty(value = "包装箱号")
    private String bzxh;

    /** 包装尺寸 */
    @Excel(name = "包装尺寸")
    @ApiModelProperty(value = "包装尺寸")
    private String bzcc;

    /** 包装长度 */
    @Excel(name = "包装长度")
    @ApiModelProperty(value = "包装长度")
    private String bzcd;

    /** 包装宽度 */
    @Excel(name = "包装宽度")
    @ApiModelProperty(value = "包装宽度")
    private String bzkd;

    /** 包装箱高度 */
    @Excel(name = "包装箱高度")
    @ApiModelProperty(value = "包装箱高度")
    private String bzgd;

    /** 单箱毛重 */
    @Excel(name = "单箱毛重")
    @ApiModelProperty(value = "单箱毛重")
    private BigDecimal kos;

    /** 单箱支数 */
    @Excel(name = "单箱支数")
    @ApiModelProperty(value = "单箱支数")
    private Long dxqty;

    /** 每层箱数 */
    @Excel(name = "每层箱数")
    @ApiModelProperty(value = "每层箱数")
    private Long mcxs;

    /** 满托最小箱数 */
    @Excel(name = "满托最小箱数")
    @ApiModelProperty(value = "满托最小箱数")
    private Long mtxxs;

    /** 满托最大箱数 */
    @Excel(name = "满托最大箱数")
    @ApiModelProperty(value = "满托最大箱数")
    private Long mtdxs;

    /** 满托支数 */
    @Excel(name = "满托支数")
    @ApiModelProperty(value = "满托支数")
    private Long mtzs;

    /** 托盘规格 */
    @Excel(name = "托盘规格")
    @ApiModelProperty(value = "托盘规格")
    private String tpgg;

    /** 托盘类型：0川字1田字 */
    @Excel(name = "托盘类型：0川字1田字")
    @ApiModelProperty(value = "托盘类型：0川字1田字")
    private String tplx;

    /** "Manual"字符-- 人工区；Automatic字符代表智能区 */
    @Excel(name = "Manual字符-- 人工区；Automatic字符代表智能区")
    @ApiModelProperty(value = "Manual字符-- 人工区；Automatic字符代表智能区")
    private String ktype;

    /** 销售员号 */
    @Excel(name = "销售员号")
    @ApiModelProperty(value = "销售员号")
    private String xsyno;

    /** 销售员名 */
    @Excel(name = "销售员名")
    @ApiModelProperty(value = "销售员名")
    private String xsyna;

    /** 保管员号 */
    @Excel(name = "保管员号")
    @ApiModelProperty(value = "保管员号")
    private String bgyno;

    /** 保管员名 */
    @Excel(name = "保管员名")
    @ApiModelProperty(value = "保管员名")
    private String bgyna;

    /** 库存单位 */
    @Excel(name = "库存单位")
    @ApiModelProperty(value = "库存单位")
    private String unit;

    /** 传送状态 */
    @Excel(name = "传送状态")
    @ApiModelProperty(value = "传送状态")
    private String sta;

    /** 技术员号 */
    @Excel(name = "技术员号")
    @ApiModelProperty(value = "技术员号")
    private String jsyno;

    /** 技术员名 */
    @Excel(name = "技术员名")
    @ApiModelProperty(value = "技术员名")
    private String jsyna;

    /** 外箱高度 */
    @Excel(name = "外箱高度")
    @ApiModelProperty(value = "外箱高度")
    private Long wxgd;

    /** 建立者 */
    @Excel(name = "建立者")
    @ApiModelProperty(value = "建立者")
    private String cruser;

    /** 建立日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "建立日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "建立日期")
    private Date crdate;

    /** 修改者 */
    @Excel(name = "修改者")
    @ApiModelProperty(value = "修改者")
    private String mouser;

    /** 修改日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "修改日期")
    private Date modate;

}
