package cn.ezhizao.project.business.domain;

import java.math.BigDecimal;
import java.util.Date;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 企业租户对象 inv80201
 *
 * @author ezhizao
 * @date 2025-01-15
 */
@Data
@TableName(value = "inv80201")
public class Inv80201
{
    private static final long serialVersionUID = 1L;

    /** 交易代码 */
    @ApiModelProperty(value = "${comment}")
    private String txcode;

    /** 入库单号/补料单号/出库单号 */
    @ApiModelProperty(value = "${comment}")
    private String docno;

    /** 入库单/补料单/出库单序号 */
    @ApiModelProperty(value = "${comment}")
    private Integer docseq;

    /** 入库单号/改制领料单号 */
    @Excel(name = "入库单号/改制领料单号")
    @ApiModelProperty(value = "入库单号/改制领料单号")
    private String refno;

    /** 序号 */
    @Excel(name = "序号")
    @ApiModelProperty(value = "序号")
    private Integer refseq;

    /** 原材料编码 */
    @Excel(name = "原材料编码")
    @ApiModelProperty(value = "原材料编码")
    private String part;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String lotno;

    /** 账号 */
    @Excel(name = "账号")
    @ApiModelProperty(value = "账号")
    private String locfr;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String locto;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String reason;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String datatype;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String grpcode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String dept;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String expenseitem1;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String ivcno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private Date ivcdate;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String payment;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String sales;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String area;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String prseq;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String prcode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String taxcode;

    /** 屏幕全领/自行输入 */
    @Excel(name = "屏幕全领/自行输入")
    @ApiModelProperty(value = "屏幕全领/自行输入")
    private String taxtype;

    /** 币别 */
    @Excel(name = "币别")
    @ApiModelProperty(value = "币别")
    private String currency;

    /** 汇率 */
    @Excel(name = "汇率")
    @ApiModelProperty(value = "汇率")
    private BigDecimal rate;

    /** 单位 */
    @Excel(name = "单位")
    @ApiModelProperty(value = "单位")
    private String unit;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal auxqty;

    /** 交易数量 */
    @Excel(name = "交易数量")
    @ApiModelProperty(value = "交易数量")
    private BigDecimal txqty;

    /** 出入库量 */
    @Excel(name = "出入库量")
    @ApiModelProperty(value = "出入库量")
    private BigDecimal orgqty;

    /** 加权平均单价 */
    @Excel(name = "加权平均单价")
    @ApiModelProperty(value = "加权平均单价")
    private BigDecimal orgprc;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal dtsprc;

    /** 本币金额 */
    @Excel(name = "本币金额")
    @ApiModelProperty(value = "本币金额")
    private BigDecimal orgamt;

    /** 入退库额/RMB金额 */
    @Excel(name = "入退库额/RMB金额")
    @ApiModelProperty(value = "入退库额/RMB金额")
    private BigDecimal ntamt;

    /** 领退料额 */
    @Excel(name = "领退料额")
    @ApiModelProperty(value = "领退料额")
    private BigDecimal cost;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String affcost;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal pofact;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String generalid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String bktype;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String qcyn;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String qcupd;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private Date backdate;

    /** 原材料描述 */
    @Excel(name = "原材料描述")
    @ApiModelProperty(value = "原材料描述")
    private String description;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String cstLotno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String cstPart;

    /** ①连②③④⑤存放①单号 */
    @Excel(name = "①连②③④⑤存放①单号")
    @ApiModelProperty(value = "①连②③④⑤存放①单号")
    private String cstDocno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private Integer cstDocseq;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String cstIvcno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String cstMominno;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String cstPartlot;

    /** 应摊关税 */
    @Excel(name = "应摊关税")
    @ApiModelProperty(value = "应摊关税")
    private BigDecimal cstGsje;

    /** 采购类型：3机务料0即入即出2原材料 */
    @Excel(name = "采购类型：3机务料0即入即出2原材料")
    @ApiModelProperty(value = "采购类型：3机务料0即入即出2原材料")
    private String purtype;

    /** 原材料炉号 */
    @Excel(name = "原材料炉号")
    @ApiModelProperty(value = "原材料炉号")
    private String luhao;

    /** 供应商号 */
    @Excel(name = "供应商号")
    @ApiModelProperty(value = "供应商号")
    private String vendor;

    /** 不用 */
    @Excel(name = "不用")
    @ApiModelProperty(value = "不用")
    private String zlcd;

    /** 原材料直料根数 */
    @Excel(name = "原材料直料根数")
    @ApiModelProperty(value = "原材料直料根数")
    private Integer zlgs;

    /** 材料利用率 */
    @Excel(name = "材料利用率")
    @ApiModelProperty(value = "材料利用率")
    private BigDecimal utrate;

    /** 限额数量 */
    @Excel(name = "限额数量")
    @ApiModelProperty(value = "限额数量")
    private BigDecimal xeqty;

    /** 不用 */
    @Excel(name = "不用")
    @ApiModelProperty(value = "不用")
    private BigDecimal ltcd;

    /** 限额单号/投料单号 */
    @Excel(name = "限额单号/投料单号")
    @ApiModelProperty(value = "限额单号/投料单号")
    private String xeno;

    /** 半成品入库单号 */
    @Excel(name = "半成品入库单号")
    @ApiModelProperty(value = "半成品入库单号")
    private String invno;

    /** 实发数量 */
    @Excel(name = "实发数量")
    @ApiModelProperty(value = "实发数量")
    private BigDecimal scqty;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private BigDecimal yhqty;

    /** 实还量 */
    @Excel(name = "实还量")
    @ApiModelProperty(value = "实还量")
    private BigDecimal shqty;

    /** 存放位置1：库房2：现场 */
    @Excel(name = "存放位置1：库房2：现场")
    @ApiModelProperty(value = "存放位置1：库房2：现场")
    private String wzbz;

    /** 包装形式1正常2摆盘3撞活4洒盘5专用9其它 */
    @Excel(name = "包装形式1正常2摆盘3撞活4洒盘5专用9其它")
    @ApiModelProperty(value = "包装形式1正常2摆盘3撞活4洒盘5专用9其它")
    private String bzxs;

    /** 操作者1 */
    @Excel(name = "操作者1")
    @ApiModelProperty(value = "操作者1")
    private String emno1;

    /** 操作者2 */
    @Excel(name = "操作者2")
    @ApiModelProperty(value = "操作者2")
    private String emno2;

    /** 操作者3 */
    @Excel(name = "操作者3")
    @ApiModelProperty(value = "操作者3")
    private String emno3;

    /** 操作者4 */
    @Excel(name = "操作者4")
    @ApiModelProperty(value = "操作者4")
    private String emno4;

    /** 操作者5 */
    @Excel(name = "操作者5")
    @ApiModelProperty(value = "操作者5")
    private String emno5;

    /** 批号 */
    @Excel(name = "批号")
    @ApiModelProperty(value = "批号")
    private String plotno;

    /** 包装数量 */
    @Excel(name = "包装数量")
    @ApiModelProperty(value = "包装数量")
    private BigDecimal bzqty;

    /** 工作人数（包装总人数） */
    @Excel(name = "工作人数", readConverterExp = "包=装总人数")
    @ApiModelProperty(value = "工作人数")
    private Integer gzrs;

    /** 计产方式1:单算0均分 */
    @Excel(name = "计产方式1:单算0均分")
    @ApiModelProperty(value = "计产方式1:单算0均分")
    private String jcfs;

    /** 交易结存量 */
    @Excel(name = "交易结存量")
    @ApiModelProperty(value = "交易结存量")
    private BigDecimal onqty;

    /** 摘要 */
    @Excel(name = "摘要")
    @ApiModelProperty(value = "摘要")
    private String zyremark;

    /** part、规格 */
    @Excel(name = "part、规格")
    @ApiModelProperty(value = "part、规格")
    private String specification;

    /** 产品大类码 */
    @Excel(name = "产品大类码")
    @ApiModelProperty(value = "产品大类码")
    private String bigclass;

    /** 产品小类码 */
    @Excel(name = "产品小类码")
    @ApiModelProperty(value = "产品小类码")
    private String smlclass;

    /** 客户商品编码 */
    @Excel(name = "客户商品编码")
    @ApiModelProperty(value = "客户商品编码")
    private String khpart;

    /** 成品料号 */
    @Excel(name = "成品料号")
    @ApiModelProperty(value = "成品料号")
    private String cpart;

    /** 成品账号 */
    @Excel(name = "成品账号")
    @ApiModelProperty(value = "成品账号")
    private String cprloc;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String cust;

    /** cpart/成品规格 */
    @Excel(name = "cpart/成品规格")
    @ApiModelProperty(value = "cpart/成品规格")
    private String cspecification;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private String draw;

    /** 成品直径 */
    @Excel(name = "成品直径")
    @ApiModelProperty(value = "成品直径")
    private String dzjs;

    /** 成品长度 */
    @Excel(name = "成品长度")
    @ApiModelProperty(value = "成品长度")
    private String lenghts;

    /** 公差长度 */
    @Excel(name = "公差长度")
    @ApiModelProperty(value = "公差长度")
    private BigDecimal gccd;

    /** 成品制造总量 */
    @Excel(name = "成品制造总量")
    @ApiModelProperty(value = "成品制造总量")
    private BigDecimal zzqty;

    /** 1万支 2支 */
    @Excel(name = "1万支 2支")
    @ApiModelProperty(value = "1万支 2支")
    private String uom;

    /** 客户批号（高绿） */
    @Excel(name = "客户批号", readConverterExp = "高=绿")
    @ApiModelProperty(value = "客户批号")
    private String khlotno;

    /** 半成品入库单序号 */
    @Excel(name = "半成品入库单序号")
    @ApiModelProperty(value = "半成品入库单序号")
    private Integer invseq;

    /** 客户简称 */
    @Excel(name = "客户简称")
    @ApiModelProperty(value = "客户简称")
    private String khname;

    /** 直料长度 */
    @Excel(name = "直料长度")
    @ApiModelProperty(value = "直料长度")
    private String zlcds;

    /** 料头长度 */
    @Excel(name = "料头长度")
    @ApiModelProperty(value = "料头长度")
    private String ltcds;

    /** 备注(冈山客户批号如04-001/1200,002/1200) */
    @Excel(name = "备注(冈山客户批号如04-001/1200,002/1200)")
    @ApiModelProperty(value = "备注(冈山客户批号如04-001/1200,002/1200)")
    private String bz;

    /** 累计已领料量=出库确认时增 */
    @Excel(name = "累计已领料量=出库确认时增")
    @ApiModelProperty(value = "累计已领料量=出库确认时增")
    private BigDecimal isqty;

    /** 累计领料预约量=出库确认时减 */
    @Excel(name = "累计领料预约量=出库确认时减")
    @ApiModelProperty(value = "累计领料预约量=出库确认时减")
    private BigDecimal inqty;

    /** 可用量=txqty -（isqty） */
    @Excel(name = "可用量=txqty -", readConverterExp = "i=sqty")
    @ApiModelProperty(value = "可用量=txqty -")
    private BigDecimal kyqty;

    /** 6302时OP没有出过库,IN部分出库CL全部出库,YA全部预约 */
    @Excel(name = "6302时OP没有出过库,IN部分出库CL全部出库,YA全部预约")
    @ApiModelProperty(value = "6302时OP没有出过库,IN部分出库CL全部出库,YA全部预约")
    private String sta;

    /** 不用 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "不用", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "不用")
    private Date zydate;

    /** 原材料平均直径 */
    @Excel(name = "原材料平均直径")
    @ApiModelProperty(value = "原材料平均直径")
    private BigDecimal avgzj;

    /** 更新前库存交易结余量 */
    @Excel(name = "更新前库存交易结余量")
    @ApiModelProperty(value = "更新前库存交易结余量")
    private BigDecimal qonqty;

    /** 来料日期=排序日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "来料日期=排序日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "来料日期=排序日期")
    private Date lldate;

    /** 现场库存量 */
    @Excel(name = "现场库存量")
    @ApiModelProperty(value = "现场库存量")
    private BigDecimal xcqty;

    /** 现场可用前期量 */
    @Excel(name = "现场可用前期量")
    @ApiModelProperty(value = "现场可用前期量")
    private BigDecimal qxcqty;

    /** 领料部门/退料部门 */
    @Excel(name = "领料部门/退料部门")
    @ApiModelProperty(value = "领料部门/退料部门")
    private String cusven;

    /** 未领料量 */
    @Excel(name = "未领料量")
    @ApiModelProperty(value = "未领料量")
    private BigDecimal wlqty;

    /** 投料单序号 */
    @Excel(name = "投料单序号")
    @ApiModelProperty(value = "投料单序号")
    private Integer xeseq;

    /** 排序日期字符 */
    @Excel(name = "排序日期字符")
    @ApiModelProperty(value = "排序日期字符")
    private String ordate;

    /** 三包退量 */
    @Excel(name = "三包退量")
    @ApiModelProperty(value = "三包退量")
    private BigDecimal gytqty;

    /** 三包还量 */
    @Excel(name = "三包还量")
    @ApiModelProperty(value = "三包还量")
    private BigDecimal gyrqty;

    /** NA未报销YA当月人当月报SA前期入本月报 */
    @Excel(name = "NA未报销YA当月人当月报SA前期入本月报")
    @ApiModelProperty(value = "NA未报销YA当月人当月报SA前期入本月报")
    private String bxbz;

    /** 含税单价 */
    @Excel(name = "含税单价")
    @ApiModelProperty(value = "含税单价")
    private BigDecimal hsprc;

    /** 未税单价 */
    @Excel(name = "未税单价")
    @ApiModelProperty(value = "未税单价")
    private BigDecimal unprc;

    /** 含税金额 */
    @Excel(name = "含税金额")
    @ApiModelProperty(value = "含税金额")
    private BigDecimal hsamt;

    /** 未税金额 */
    @Excel(name = "未税金额")
    @ApiModelProperty(value = "未税金额")
    private BigDecimal unamt;

    /** 税金 */
    @Excel(name = "税金")
    @ApiModelProperty(value = "税金")
    private BigDecimal sjamt;

    /** 税率 */
    @Excel(name = "税率")
    @ApiModelProperty(value = "税率")
    private Integer taxsl;

    /** 库位 */
    @Excel(name = "库位")
    @ApiModelProperty(value = "库位")
    private String kwhm;

    /** 可用否 */
    @Excel(name = "可用否")
    @ApiModelProperty(value = "可用否")
    private String kybz;

    /** 操作者 */
    @Excel(name = "操作者")
    @ApiModelProperty(value = "操作者")
    private String writeruser;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "更新日期")
    private Date writedate;

}
