package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import cn.ezhizao.project.business.domain.Inc10100;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.Inc10101Mapper;
import cn.ezhizao.project.business.domain.Inc10101;
import cn.ezhizao.project.business.service.IInc10101Service;

/**
 * 企业租户Service业务层处理
 *
 * @author ezhizao
 * @date 2024-09-11
 */
@Service
public class Inc10101ServiceImpl  extends ServiceImpl<Inc10101Mapper, Inc10101> implements IInc10101Service
{
    @Resource
    private Inc10101Mapper inc10101Mapper;

    /**
     * 查询企业租户列表
     *
     * @param inc10101 企业租户
     * @return 企业租户
     */
    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<Inc10101> getList(QueryWrapper<Inc10101> queryWrapper)
    {
        return inc10101Mapper.selectList(queryWrapper);
    }

}
