package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import cn.ezhizao.project.business.domain.Inv10100;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.Inw10100Mapper;
import cn.ezhizao.project.business.domain.Inw10100;
import cn.ezhizao.project.business.service.IInw10100Service;

/**
 * 企业租户Service业务层处理
 *
 * @author ezhizao
 * @date 2024-09-10
 */
@Service
public class Inw10100ServiceImpl  extends ServiceImpl<Inw10100Mapper, Inw10100> implements IInw10100Service
{
    @Resource
    private Inw10100Mapper inw10100Mapper;

    /**
     * 查询企业租户列表
     *
     * @param inw10100 企业租户
     * @return 企业租户
     */
    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<Inw10100> getList(QueryWrapper<Inw10100> queryWrapper)
    {
        return inw10100Mapper.selectList(queryWrapper);
    }

}
